cURL
curl --request GET \
--url https://api.frigade.com/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.frigade.com/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.frigade.com/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Acme Inc.",
"groupId": "x34daa11-3745-4ac0-880e-d4b4d51fe13f",
"createdAt": "2021-01-01T00:00:00.000Z",
"modifiedAt": "2021-01-01T00:00:00.000Z",
"properties": {
"name": "Acme Inc.",
"companyUrl": "https://example.com",
"logoUrl": "https://example.com/logo.jpg"
},
"membersCount": 42,
"trackingEvents": [
{
"event": "SignedUp",
"properties": {
"source": "landing-page",
"campaign": "summer-sale"
},
"createdAt": "2024-01-01T00:00:00Z"
}
]
}Groups
Find a Group
Find a group by ID
GET
/
v1
/
groups
cURL
Authorizations
Authentication header of the form Bearer: <token>, where <token> is either your public or private API key. See when to use which
Query Parameters
The ID of the group
Response
The group was successfully found
The name of the group
Example:
"Acme Inc."
The ID of the group as defined in your own application
Example:
"x34daa11-3745-4ac0-880e-d4b4d51fe13f"
The date the group was created
Example:
"2021-01-01T00:00:00.000Z"
The date the group was last modified
Example:
"2021-01-01T00:00:00.000Z"
The properties of the group
Example:
{
"name": "Acme Inc.",
"companyUrl": "https://example.com",
"logoUrl": "https://example.com/logo.jpg"
}
The number of members in the group
Example:
42
The tracking events associated with the group
Example:
[
{
"event": "SignedUp",
"properties": {
"source": "landing-page",
"campaign": "summer-sale"
},
"createdAt": "2024-01-01T00:00:00Z"
}
]